import { NumericPositionSpec, SizeSpec, AnchorSpec } from '@chsk/core';
import { PackingProps } from './types';
/** compute label positions, taking into account immovable data points */
export declare const getPackingPositions: ({ items, obstacles, clearance, lr, maxIterations, epsilon, maxDelta, }: {
    items: PackingProps[];
    obstacles?: PackingProps[] | undefined;
    clearance?: number | undefined;
    lr?: number | undefined;
    maxIterations?: number | undefined;
    epsilon?: number | undefined;
    maxDelta?: number | undefined;
}) => {
    position: NumericPositionSpec;
    anchor: AnchorSpec;
    center: NumericPositionSpec;
    r: number;
    size?: SizeSpec | undefined;
    padding?: import("@chsk/core").FourSideSizeSpec | undefined;
    align?: import("@chsk/core").AlignSpec | undefined;
    offset?: NumericPositionSpec | undefined;
}[];
//# sourceMappingURL=packing-0.d.ts.map